
Redmine - Defect #7041

r4460 - User activity page throws 500 Error

2010-12-04 11:46 - Michael Burke

Status: Closed Start date: 2010-12-04

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Processing UsersController#show (for 192.168.168.2 at 2010-12-04 05:40:42) [GET]

Parameters: {"action"=>"show", "id"=>"3", "controller"=>"users"}

Rendering template within layouts/base

Rendering users/show

ActionView::TemplateError (No builder for format ) on line #1 of app/views/users/show.apit:

1: api.user do

2:   api.id         @user.id

3:   api.login      @user.login if User.current.admin?

4:   api.firstname  @user.firstname

lib/redmine/views/builders.rb:25:in `for'

    app/views/users/show.apit:1:in `_run_apit_app47views47users47show46apit'

    app/controllers/users_controller.rb:73

    app/controllers/users_controller.rb:72:in `show'

    public/dispatch.fcgi:24

 Rendering /www/redmine/public/500.html (500 Internal Server Error)

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /www/redmine

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Graphs plugin     0.1.0

Redmine Question plugin   0.3.0

Stuff To Do Plugin        0.3.0

Redmine Reports plugin    0.1.0

Related issues:

Is duplicate of Redmine - Defect #7038: can't open project page with r4460 Closed 2010-12-03

History

#1 - 2010-12-04 11:53 - Michael Burke

Looks like this can be grouped with #7038

#2 - 2010-12-04 18:35 - Jean-Philippe Lang

This should be fixed by r4466. Please, confirm.

#3 - 2010-12-04 19:09 - Jean-Philippe Lang
https://www.redmine.org/issues/1
https://www.redmine.org/issues/7038
https://www.redmine.org/projects/redmine/repository/svn/revisions/4466


- Status changed from New to Closed

Thanks for the feedback.

#4 - 2010-12-05 17:30 - Michael Burke

Confirmed fixed as of r4466
